> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getprosperapp.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Live Call

> Return a flat snapshot of a call by one of:

- `call_log_id`
- `user_phone_number`
- `key` + `value` (any variable previously mapped on the flow)

Tries `live_calls` first (source=`live_calls`), then falls back to
`v_call_logs` (source=`call_logs`). Response is a single-level dict with
dotted keys for any nested values.



## OpenAPI

````yaml https://voice.getprosperapp.com/openapi.json get /api/v1/live-calls
openapi: 3.1.0
info:
  title: Prosper Voice
  version: 1.0.0
servers: []
security: []
paths:
  /api/v1/live-calls:
    get:
      tags:
        - Live Calls
      summary: Get Live Call
      description: |-
        Return a flat snapshot of a call by one of:

        - `call_log_id`
        - `user_phone_number`
        - `key` + `value` (any variable previously mapped on the flow)

        Tries `live_calls` first (source=`live_calls`), then falls back to
        `v_call_logs` (source=`call_logs`). Response is a single-level dict with
        dotted keys for any nested values.
      operationId: get_live_call_api_v1_live_calls_get
      parameters:
        - name: key
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: The key of the variable to search for
            title: Key
          description: The key of the variable to search for
        - name: value
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: The value of the variable to search for
            title: Value
          description: The value of the variable to search for
        - name: call_log_id
          in: query
          required: false
          schema:
            anyOf:
              - type: integer
              - type: 'null'
            description: The ID of the call log to search for
            title: Call Log Id
          description: The ID of the call log to search for
        - name: user_phone_number
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: The phone number of the user to search for
            title: User Phone Number
          description: The phone number of the user to search for
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: object
                additionalProperties: true
                title: Response Get Live Call Api V1 Live Calls Get
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````